complexType "MakeWholeAmount"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 6 elements
Defined: | globally in fpml-bond-option-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | floatingRateIndex?, indexTenor?, spread?, side?, interpolationMethod?, earlyCallDate?
</...>

Content Model Elements (6):

  earlyCallDate,
  floatingRateIndex (defined in FloatingRateIndex.model group),
  indexTenor (defined in FloatingRateIndex.model group),
  interpolationMethod (in makeWholeAmount),
  side (defined in SwapCurveValuation complexType),
  spread (defined in SwapCurveValuation complexType)

All Direct / Indirect Based Elements (1):

  makeWholeAmount

Known Usage Locations

- As direct type of elements (1):
  makeWholeAmount

Annotation
A complex type to specify the amount to be paid by the buyer of the option if the option is exercised prior to the Early Call Date (Typically applicable to the convertible bond options).
Type Definition Detail

Type Derivation Tree SwapCurveValuation (extension) MakeWholeAmount

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="MakeWholeAmount"> <xsd:complexContent> <xsd:extension base="SwapCurveValuation"> <xsd:sequence> <xsd:element minOccurs="0" name="interpolationMethod" type="InterpolationMethod"/> <xsd:element minOccurs="0" name="earlyCallDate" type="IdentifiedDate"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/6)
earlyCallDate

  Type: | IdentifiedDate, simple content

  Date prior to which the option buyer will have to pay a Make Whole Amount to the option seller if he/she exercises the option.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="earlyCallDate" type="IdentifiedDate"/>

interpolationMethod

  Type: | InterpolationMethod, simple content

  The type of interpolation method that the calculation agent reserves the right to use.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="interpolationMethod" type="InterpolationMethod"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.